from flask import Flask, request, render_template

app = Flask(__name__)
from influxdb import InfluxDBClient

def db_main(host='localhost', port=8086):
    user = 'root'
    password = 'root'
    dbname = 'gas'

@app.route('/success')
def success():
    return "Form success!"

@app.route('/', methods=['GET', 'POST'])
def main_page():
    return render_template('index.html')

@app.route('/add_time', methods=['POST'])
def add_time():
#    database = request.form['db']
#    table = request.form['table']
    date = request.form['date']
    time = request.form['time']
    odometer = request.form['odometer']
    oilhealth= request.form['oilhealth']
    fuel = request.form['fuel']
    fuelcost = request.form['fuelcost']
    winter = request.form['winter']

    json_body = [
            {
                "time": date + "T" + time + "Z",
                "measurement": "odyssey",
                "fields": {
                    "odometer": odometer,
                    "oilhealth": oilhealth,
                    "fuel": fuel,
                    "fuelcost": fuelcost,
                    "winter": winter
                }
            }
    ]

    client = InfluxDBClient('localhost', 8086, 'root', 'root', 'gas')

    print ("Submitting data to DB: {0}".format(json_body))
    client.write_points(json_body)


    
    return render_template('index.html')

@app.route('/admin')
def admin_index():
    return 'admin'

@app.route('/login')
def login():
    pass

@app.route('/logout')
def logout():
    pass

if __name__ == '__main__':
    app.run(debug=True, host='0.0.0.0')
